import { NgZone, Injector } from '@angular/core';
import { HostAppService, Platform } from 'tabby-core';
import { ElectronService } from '../services/electron.service';
export declare class ElectronHostAppService extends HostAppService {
    private zone;
    private electron;
    get platform(): Platform;
    get configPlatform(): Platform;
    constructor(zone: NgZone, electron: ElectronService, injector: Injector);
    newWindow(): void;
    saveConfig(data: string): void;
    emitReady(): void;
    relaunch(): void;
    quit(): void;
}
